Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 678358 - app-accessibility/at-spi2-core-2.30.1 (and the previous 2.30.0) - ld: .../work/at-spi2-core-2.30.0-abi_x86_64.amd64/tmp-introspect219roeey/Atspi-2.0.o:(.data.rel+0x88): undefined reference to `atspi_scroll_type_get_type'
Summary: app-accessibility/at-spi2-core-2.30.1 (and the previous 2.30.0) - ld: .../wor...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-19 08:41 UTC by Duncan
Modified: 2019-07-22 21:59 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (app-accessibility:at-spi2-core-2.30.0:20190219-080206.log,48.07 KB, text/plain)
2019-02-19 08:41 UTC, Duncan
Details
emerge --info '=app-accessibility/at-spi2-core-2.30.0::gentoo' (emerge.info,7.44 KB, text/plain)
2019-02-19 08:45 UTC, Duncan
Details
build.log (build.log,44.70 KB, text/x-log)
2019-02-20 18:59 UTC, Alexandru N. Barloiu
Details
build.log (at-spi2-core-2.30.0:20190225-071107.log,43.80 KB, text/x-log)
2019-02-25 08:04 UTC, Franz Trischberger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan 2019-02-19 08:41:41 UTC
Created attachment 565826 [details]
build.log

~amd64/no-multilib with USE="X introspection -gtk-doc -test".  Tried both gold and bfd linkers since I had just switched to gold.  Full build log attached; emerge --info at-spi2-core to be attached.

FAILED: atspi/Atspi-2.0.gir 
/bin/g-ir-scanner -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/lib64/libffi-3.3_rc0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include--no-libtool --namespace=Atspi --nsversion=2.0 --warn-all --output atspi/Atspi-2.0.gir --c-include=atspi/atspi.h --pkg-export=atspi-2 --quiet -I/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0/atspi -I/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/atspi -I./. -I../at-spi2-core-2.30.0/. -I./registryd -I../at-spi2-core-2.30.0/registryd -I./. -I../at-spi2-core-2.30.0/. --filelist=/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/atspi/f291f98@@atspi@sha/Atspi_2.0_gir_filelist --include=DBus-1.0 --include=GLib-2.0 --include=GObject-2.0 --symbol-prefix=atspi --identifier-prefix=Atspi --cflags-begin -D_POSIX_C_SOURCE=200809L -D_DEFAULT_SOURCE -I./. -I../at-spi2-core-2.30.0/. -I./registryd -I../at-spi2-core-2.30.0/registryd -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include '-DG_LOG_DOMAIN="dbind"' --cflags-end -I./. -I../at-spi2-core-2.30.0/. --add-include-path=./. --add-include-path=../at-spi2-core-2.30.0/. -L/usr/lib64 --library atspi -L/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/atspi --extra-library=dbus-1 --extra-library=gobject-2.0 --extra-library=glib-2.0 --extra-library=X11 --extra-library=Xtst --extra-library=Xi
/x86_64-pc-linux-gnu/gcc-bin/8.2.0/../../../lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/tmp-introspect219roeey/Atspi-2.0.o:(.data.rel+0x88): undefined reference to `atspi_scroll_type_get_type'
collect2: error: ld returned 1 exit status
linking of temporary binary failed: Command '['cc', '-o', '/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/tmp-introspect219roeey/Atspi-2.0', '-march=native', '-O2', '-fgcse-sm', '-fgcse-las', '-fgcse-after-reload', '-ftree-vectorize', '/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/tmp-introspect219roeey/Atspi-2.0.o', '-L.', '-Wl,-rpath,.', '-Wl,--no-as-needed', '-latspi', '-ldbus-1', '-lgobject-2.0', '-lglib-2.0', '-lX11', '-lXtst', '-lXi', '-L/usr/lib64', '-Wl,-rpath,/usr/lib64', '-L/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/atspi', '-Wl,-rpath,/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/atspi', '-lgio-2.0', '-lgobject-2.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-pthread', '-lglib-2.0', '-Wl,-z,now,--as-needed,-O1,--hash-style=gnu,--sort-common']' returned non-zero exit status 1.
ninja: build stopped: subcommand failed.
Comment 1 Duncan 2019-02-19 08:45:53 UTC
Created attachment 565828 [details]
emerge --info '=app-accessibility/at-spi2-core-2.30.0::gentoo'
Comment 2 Alexandru N. Barloiu 2019-02-19 12:52:32 UTC
Can confirm same thing happening on armv7a harfloat.
Comment 3 Mart Raudsepp gentoo-dev 2019-02-19 20:59:16 UTC
(In reply to Alexandru N. Barloiu from comment #2)
> Can confirm same thing happening on armv7a harfloat.

Do you use USE=usrmerge too?
Comment 4 Duncan 2019-02-19 22:10:52 UTC
(In reply to Mart Raudsepp from comment #3)
> (In reply to Alexandru N. Barloiu from comment #2)
> > Can confirm same thing happening on armv7a harfloat.
> 
> Do you use USE=usrmerge too?

That's an interesting one.

As you noticed it's in my USE flags, but I'm actually doing a reverse-merge, with /usr -> . so everything's on/in / itself.  lib/lib64 are also merged (to /lib64) as I'm no-multilib, and bin/sbin (to /bin).

So it's a bit unusual tho usually makes no difference, but where it might, bug confirmations become more valuable than usual.  Thanks, Alexandru. =:^)
Comment 5 Alexandru N. Barloiu 2019-02-20 07:53:31 UTC
No I did not. Not intentionally anyway. Let me do an emptyworld to be sure. Nope. Not there. It's just split-usr which I think it's part of the profile. 

Portage 2.3.61 (python 3.6.6-final-0, default/linux/arm/17.0/armv7a, gcc-8.2.0, glibc-2.28-r5, 5.0.0-rc7-v7+ armv7l)
=================================================================
System uname: Linux-5.0.0-rc7-v7+-armv7l-ARMv7_Processor_rev_5_-v7l-with-gentoo-2.6
KiB Mem:      886720 total,    399924 free
KiB Swap:    1048560 total,   1010416 free
Timestamp of repository gentoo: Tue, 19 Feb 2019 07:30:01 +0000
Head commit of repository gentoo: 025e3febd3835e438f090bdf44ca0f9df02574a6
sh bash 5.0_p2
ld GNU ld (Gentoo 2.31.1 p5) 2.31.1
distcc 3.3.2 armv7a-unknown-linux-gnueabihf [enabled]
app-shells/bash:          5.0_p2::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.0::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.6::gentoo
dev-util/cmake:           3.13.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.15::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r4::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.20::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28-r5::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="arm ~arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv7a-unknown-linux-gnueabihf"
CFLAGS="-mtune=cortex-a7 -march=armv7ve -mfpu=neon-vfpv4 -mfloat-abi=hard -O2 -pipe"
CHOST="armv7a-unknown-linux-gnueabihf"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-mtune=cortex-a7 -march=armv7ve -mfpu=neon-vfpv4 -mfloat-abi=hard -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-mtune=cortex-a7 -march=armv7ve -mfpu=neon-vfpv4 -mfloat-abi=hard -O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-mtune=cortex-a7 -march=armv7ve -mfpu=neon-vfpv4 -mfloat-abi=hard -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="10bit X a52 airplay alsa amr amrenc arm armv5te armv6 armv6t2 bcmath berkdb bluetooth bluray bs2b bzip2 calendar cdda cdio cec chromaprint chromecast chromium clang cli client codec2 corefonts crc32 crypt curl cxx dbus default-compiler-rt dri drm dts dvd edsp egl elfutils evdev exif experimental faad fbcon fdk ffmpeg flac flite fontconfig fontforge fortran fortune frei0r fribidi ftp fuse gcrypt gd gdbm gif gles gles1 gles2 glib gme gmp gnutls gold gpm gsm gtk gtk2 gtk3 harfbuzz ibus iconv iec61883 imap intl jbig joystick jpeg jpeg2k kms kvazaar ladspa lcms libaom libass libcaca libdrm libevent libilbc libinput libkms libnotify librtmp libsoxr libusb libv4l lv2 lz4 lzma lzo matroska messages mhash minizip mmal modplug mp3 mpeg multitarget mysql mysqli ncurses neon nfs nls nptl offensive openal opengl openh264 openmp openssl opus oss pam pcntl pcre pcre16 pcre32 pdf pdo png policykit pulseaudio python raspberry-pi readline rle rubberband samba sdl snappy soap sockets sound speex sqlite srt ssh ssl svg symlink syslog systemd sysvipc tcpd tevent tftpd threads thumb thumb2 tidy tiff tracepath traceroute truetype tty-helpers twolame udev unicode upower v4 v4l v5 v6 v7 vfp vfp-d32 vfpv3 vfpv4 vnc vorbis vpx wavpack wayland webp webserver wifi x264 xar xcb xkb xml xmlreader xmlrpc xmlwriter xnest xpm xpresent xslt xv xvfb xvid zeromq zimg zip zlib zvbi" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="arm armv5te armv6 armv6t2 edsp neon thumb thumb2 v4 v5 v6 v7 vfp vfp-d32 vfpv3 vfpv4" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="fbdev fbturbo modesetting vc4" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Mart Raudsepp gentoo-dev 2019-02-20 18:39:51 UTC
(In reply to Alexandru N. Barloiu from comment #5)
> No I did not. Not intentionally anyway. Let me do an emptyworld to be sure.
> Nope. Not there. It's just split-usr which I think it's part of the profile. 

Please share your failing at-spi2-core build.log as well; Duncans is full of /lib64, /usr/lib64 and so on mixups from usrmerge, can't really compare it to my succeeding build so good.
Comment 7 Alexandru N. Barloiu 2019-02-20 18:59:29 UTC
Created attachment 565966 [details]
build.log

undefined reference to `atspi_scroll_type_get_type'

Which is one of symbols built into the library we're building. I've seen other packages with similar problems. gst-plugins-base comes to mind. Again, built on armv7a the linker fails to find its own symbols for some reason - i blame myself. On amd64 built fine. Compared log files and it seems machines (amd64 and armv7) are doing the same thing. I built some of the armv7 on a x64 machine cross compiling, some of it in chroot on aarch64 coz it had a fan and was cooler and a bit faster... some on the original armv7. so I started to doubt cflags and glibc and other components, right now I was recompiling gcc in it's native environment. 

Anyway, interrupted that. Posted log meanwhile. Uhm, I mention gst-plugins-base because it was the same thing basically. Was building a .so, that in itself couldn't find its own symbols. I would have posted if I would have found an open bug report (like here), but I didn't. I'm sure it's something on my part which I'm doing wrong. Or did wrong by cross compile and/or compile in chroot on another platform. 

Added myself to CC, if I can contribute with something else, I'll be here. Thank you.
Comment 8 Franz Trischberger 2019-02-25 08:02:42 UTC
Same issue here, on amd64. No usrmerge, no split /usr.

/var/tmp/portage/app-accessibility/at-spi2-core-2.30.0/work/at-spi2-core-2.30.0-abi_x86_64.amd64/tmp-introspectlkrugb4t/Atspi-2.0.o:(.data.rel+0x88): undefined reference to `atspi_scroll_type_get_type'
collect2: error: ld returned 1 exit status

❯ emerge --info at-spi2-core
Portage 2.3.62 (python 3.6.5-final-0, default/linux/amd64/17.0/desktop, gcc-8.2.0, glibc-2.27-r6, 4.19.19-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.19.19-gentoo-x86_64-Intel-R-_Core-TM-_i3-2350M_CPU_@_2.30GHz-with-gentoo-2.6
KiB Swap:    5242876 total,   5121568 free
Timestamp of repository gentoo: Sun, 24 Feb 2019 03:24:41 +0000
Head commit of repository gentoo: 4379bbaa242bfa55b0fe461ae8dcb4e5c030a104

Head commit of repository gnome: 2ef02df69b10aee970e0316ff07c8e0eeacafdfa

sh bash 5.0_p2
ld GNU ld (Gentoo 2.30 p5) 2.30.0
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          5.0_p2::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.0::gentoo
dev-lang/python:          2.7.15::gentoo, 3.5.5-r1::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.13.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.41.1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.12.6-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo, 8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /var/repositories/gentoo
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo
    priority: -1000

gnome
    location: /var/repositories/gnome
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/proj/gnome.git
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CC="clang"
CFLAGS="-march=sandybridge -mno-aes -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /lib/modules /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXX="clang++"
CXXFLAGS="-march=sandybridge -mno-aes -O2 -pipe -ggdb"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build y --quiet-fail y --dynamic-deps y"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms split-log splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de de_DE"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 apm berkdb branding bzip2 cairo cdda cdr cli crypt cups cxx dbus directfb dri dts dvd dvdr emboss encode exif fam ffmpeg flac fortran gdbm gif glamor gpm iconv infinality introspection ipv6 jpeg jpeg2k kipi lcdfilter lcms libtirpc linguas_de linguas_de_DE mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp openrc pam pango pcre pdf png policykit ppds pulse pulseaudio readline sdl seccomp spell sse sse2 sse3 sse4 sse4_1 ssl ssse3 svg systemd tcpd theora threads tiff truetype udev udisks unicode upower usb vaapi vorbis vpx x264 xattr xcb xcomposite xml xscreensaver xv xvid zlib zsh-completion" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="krita sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="appmenu backlight battery bluez4 clock conf conf-applications conf-bindings conf-comp conf-dialogs conf-display conf-interaction conf-intl conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-wallpaper2 conf-window-manipulation conf-window-remembers connman contact cpufreq everything fileman fileman-opinfo gadman ibar ibox lokker mixer msgbus music-control notification pager pager16 pager-plain quickaccess shot start syscon systray tasks teamwork temperature tiling winlist wizard xkbswitch wl-desktop-shell wl-drm wl-fb wl-text-input wl-wl wl-x11 xwayland lua_targets_51 lua_targets_53" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="wacom libinput" KERNEL="linux" L10N="de de-DE" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" SANE_BACKENDS="epson epson2" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

app-accessibility/at-spi2-core-2.26.2::gentoo was built with the following:
USE="X introspection" ABI_X86="(64) -32 (-x32)"
Comment 9 Franz Trischberger 2019-02-25 08:04:03 UTC
Created attachment 566400 [details]
build.log
Comment 10 Alexandru N. Barloiu 2019-02-27 14:57:57 UTC
It seems the problem is generated by distcc. Disable it from FEATURES and the package will compile fine.
Comment 11 Franz Trischberger 2019-02-27 19:25:48 UTC
Indeed, disabling distcc fixed the issue.
Can this be done in the ebuild?
Comment 12 Alexandru N. Barloiu 2019-02-27 19:32:17 UTC
[root@pic:~]# cat /etc/portage/env/nodistcc.conf 
FEATURES="-distcc"
[root@pic:~]# cat /etc/portage/package.env/packages_not_to_build_with_distcc
media-libs/libwebp	                 nodistcc.conf
media-libs/x265		                 nodistcc.conf
>=app-accessibility/at-spi2-core-2.30.0  nodistcc.conf

something like this. although not really sure it's the right place in a bug report. but people google these so ima leave it here.
Comment 13 Duncan 2019-02-28 00:54:40 UTC
(In reply to Alexandru N. Barloiu from comment #10)
> It seems the problem is generated by distcc. Disable it from FEATURES and
> the package will compile fine.

No distcc here (original reporter), tho I do run ccache.  I'll try disabling it and report back...
Comment 14 Duncan 2019-02-28 02:04:36 UTC
(In reply to Duncan from comment #13)
> (In reply to Alexandru N. Barloiu from comment #10)
> > It seems the problem is generated by distcc. Disable it from FEATURES and
> > the package will compile fine.
> 
> No distcc here (original reporter), tho I do run ccache.  I'll try disabling
> it and report back...

Disabled ccache (confirmed with a watch -dc ccache -s during the merge, no stats updated, while they are without the package.env entry), no luck. =:^(

While I was at it...

Tried MAKEOPTS=-j1, no luck.

Tried various LDFLAGS changes (without -z,now, without as-needed, empty), no luck.
Comment 15 Denis Kaganovich 2019-03-02 13:31:23 UTC
Solved for me by "-introspection" (I have too optimized lto/etc amd64 build to common discussions, but it works).
Comment 16 Duncan 2019-03-14 03:22:05 UTC
(In reply to Denis Kaganovich from comment #15)
> Solved for me by "-introspection"

Thank you.  I had masked 2.30.0 but the problem still exists with 2.30.1, and putting...

=app-accessibility/at-spi2-core-2.30*     -introspection

... in my package.use does indeed appear to be a workaround, allowing the package to merge successfully. =:^)
Comment 17 robert 2019-05-12 14:04:22 UTC
I am not a gentoo user but I found the same problem and google brought me here.

For me, what actually worked was disabling/getting rid of distcc/ccache (I tend to use ccache in particular when compiling something). Not sure who or what was the culprit, but after I did it, I could compile both atspi2-atk core and bridge just fine without a problem. (It was actually difficult to determine whether the error was within the meson build system or not.)
Comment 18 Giuseppe Vitillaro 2019-05-25 08:40:09 UTC
Same here. Disabling distcc in /etc/portage/package.env solved the issue for now.
Comment 19 Johannes Hirte 2019-07-22 20:25:33 UTC
(In reply to Franz Trischberger from comment #11)
> Indeed, disabling distcc fixed the issue.
> Can this be done in the ebuild?

That's a real bad idea. I have 2-core systems with MAKEOPTS="-j10" for distcc. Simply disabling distcc will blow them away an leave them unresponsive. A warning or make the ebuild fail when distcc is active would be ok, but not disabling.
Comment 20 Johannes Hirte 2019-07-22 20:37:46 UTC
Btw. disabling distcc fixed this bug for me too.
Comment 21 Matt Turner gentoo-dev 2019-07-22 21:59:23 UTC
(In reply to Johannes Hirte from comment #19)
> (In reply to Franz Trischberger from comment #11)
> > Indeed, disabling distcc fixed the issue.
> > Can this be done in the ebuild?
> 
> That's a real bad idea. I have 2-core systems with MAKEOPTS="-j10" for
> distcc. Simply disabling distcc will blow them away an leave them
> unresponsive. A warning or make the ebuild fail when distcc is active would
> be ok, but not disabling.

FWIW, I just packaged https://gitweb.gentoo.org/proj/no-distcc-env.git/ today, which is a set of package.env files that disable distcc selectively per-package, so that you can keep FEATURES=distcc in make.conf. You specify MAKEOPTS=... for distcc and LOCAL_MAKEOPTS=... for when distcc is not enabled -- precisely to avoid the problem you mention.

I went ahead and added app-accessibility/at-spi2-core to the repo, so feel free to give it a try.